﻿<div class="container">
    <ol class="breadcrumb">
        <li><a href="/#/home">Historique par praticien</a></li>
        <li><a href="/#/historique/{{ detailCom.praticien.Id }}">Historique de {{ detailCom.praticien.Prenom }} {{ detailCom.praticien.Nom | uppercase }}</a></li>
        <li class="active">Détail de la commande n°{{ detailCom.commande.Id }}</li>
    </ol>

    <div class="panel panel-info">
        <div class="panel-heading cliquable" data-toggle="collapse" data-target="#recapCommande" ng-click="clicked = !clicked" ng-init="clicked = true">
            Récapitulatif de la commande
            <span class="glyphicon pull-right" ng-class="{ 'glyphicon-chevron-up': clicked, 'glyphicon-chevron-down': !clicked }"></span>
        </div>
        <div class="collapse in" id="recapCommande">
            <div class="panel-body">
                <div class="col-md-6">
                    <ul class="list-group">
                        <li class="list-group-item"><strong>Identifiant commande</strong> <span class="pull-right">#{{ detailCom.commande.Id }}</span></li>
                        <li class="list-group-item"><strong>Visiteur</strong> <span class="pull-right">{{ detailCom.commande.visiteur.Prenom }} {{ detailCom.commande.visiteur.Nom | uppercase }}</span></li>
                        <li class="list-group-item"><strong>Praticien</strong> <span class="pull-right">{{ detailCom.praticien.Prenom }} {{ detailCom.praticien.Nom | uppercase }}</span></li>
                        <li class="list-group-item"><strong>Date</strong> <span class="pull-right">{{ detailCom.commande.Date | date:'dd/MM/yyyy' }}</span></li>
                        <li class="list-group-item"><strong>Prix remboursé</strong> <span class="pull-right"><strong>{{ detailCom.commande.TotalRemboursement | currency:'€' }}</strong></span></li>
                        <li class="list-group-item"><strong>Prix facturé</strong> <span class="pull-right"><strong>{{ detailCom.commande.TotalFacture | currency:'€' }}</strong></span></li>
                    </ul>
                </div>
                <div class="col-md-6">
                    <img ng-src="/public/signatures/signature_{{ detailCom.commande.Id }}.jpg" class="img-responsive center-block" alt="Signature commande" />
                </div>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-heading cliquable" data-toggle="collapse" data-target="#detailsCommande" ng-click="clickedDetails = !clickedDetails" ng-init="clickedDetails = true">
            Details de la commande
            <span ng-class="{ 'glyphicon-chevron-up': clickedDetails, 'glyphicon-chevron-down': !clickedDetails }" class="glyphicon glyphicon-chevron-up pull-right"></span>
        </div>

        <div class="table-responsive collapse in" id="detailsCommande">
            <table class="table">
                <thead>
                    <tr>
                        <th width="20%">Code médicament</th>
                        <th width="40%">Nom du médicament</th>
                        <th width="15%">Prix unitaire</th>
                        <th width="10%">Quantite</th>
                        <th width="15%">Prix Remboursé</th>
                        <th width="15%">Prix total</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="details in detailCom.commande.Details">
                        <td>{{ details.Medicament.Id }}</td>
                        <td>{{ details.Medicament.Nom }}</td>
                        <td>{{ details.Medicament.Prix | currency: '€' }}</td>
                        <td>{{ details.Quantite }}</td>
                        <td>{{ details.MontantRembourse | currency: '€' }}</td>
                        <td>{{ details.PrixTotal | currency: '€' }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <div class="panel panel-default" ng-init="clickedFacture == false">
        <div class="panel-heading cliquable" data-toggle="collapse" data-target="#detailsFacture" ng-click="clickedFacture = !clickedFacture">
            Facture
            <span ng-class="{ 'glyphicon-chevron-up': clickedFacture, 'glyphicon-chevron-down': !clickedFacture }" class="glyphicon glyphicon-chevron-up pull-right"></span>
        </div>

        <div class="collapse" id="detailsFacture">
            <object style="width: 100%;" height="900" data="/public/factures/facture_{{ detailCom.commande.Id }}.pdf"></object>
        </div>
    </div>
</div>